PYPY-SANDBOX(1)

NAME
pypy-sandbox - Interact with a sandboxed PyPy subprocess

SYNOPSIS

pypy-sandbox [options] [-- -c cmd|-- -m mod|file.py|-] [arg...]

DESCRIPTION

pypy-sandbox is a wrapper around a "virtualized" version of PyPy, where an external process controls all input/output. This is a secure sandbox, it is safe to run any untrusted Python code with it. The Python code cannot see or modify any local file except via interaction with the external process.

Any options after a -- will be passed on to the wrapped sandbox-enabled PyPy. It supports the same options as the regular pypy(1).

OPTIONS

    --tmp DIR
        The real directory that corresponds to the virtual /tmp, which is the virtual current dir (and is read-only).

    --heapsize N
        Limit memory usage to N bytes, or kilo- mega- giga-bytes with the k, m or g suffix respectively.

    --timeout N
        Limit execution time to N (real-time) seconds.

    --log FILE
        Log all user input into the FILE.

    --verbose
        Log all proxied system calls. Requires python-py to be installed.

SEE ALSO

pypy(1), python(1)

AUTHOR
The PyPy Project

COPYRIGHT
2013, The PyPy Project